Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arch: [ arm64 ], all versions are unstable: [ 7.9.0, 7.10.0, 7.11.0, 7.12.0 ]
  • 7.12.0
    • 7.11.0
      • RedundantVersion
        slot(0) keywords are overshadowed by version: 7.12.0
    • 7.10.0
      • PotentialStable
        slot(0), stabled arch: [ amd64 ], potential: [ ~arm64 ]
    • 7.9.0
      • RedundantVersion
        slot(0) keywords are overshadowed by version: 7.10.0
    • 7.8.0-r1
      • RedundantVersion
        slot(0) keywords are overshadowed by versions: 7.9.0, 7.10.0
    • 5.44.0-r3
      • ExcessiveLineLength
        excessive line length (over 120 characters) on line: 157
      • PythonCompatUpdate
        PYTHON_COMPAT update available: python3_12
      • RedundantVersion
        slot(0) keywords are overshadowed by versions: 7.8.0-r1, 7.9.0, 7.10.0
      • RequiredUseDefaults
        profile: 'default/linux/amd64/23.0' (66 total) failed REQUIRED_USE: exactly-one-of ( python_single_target_python3_10 python_single_target_python3_11 )

    Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.